Bug 1103323 - docker on RHEL6.5 no longer needs to default to lxc
Summary: docker on RHEL6.5 no longer needs to default to lxc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-30 18:12 UTC by Vincent Batts
Modified: 2014-07-01 23:00 UTC (History)
8 users (show)

Fixed In Version: docker-io-1.0.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-18 15:55:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Vincent Batts 2014-05-30 18:12:14 UTC
Description of problem:
docker daemon on RHEL6 (and centos) is patched to launch with 'lxc' execdriver, instead of the docker 'native' libcontainer

Version-Release number of selected component (if applicable):
$ docker version
Client version: 0.11.1
Client API version: 1.11
Go version (client): go1.2.1
Git commit (client): fb99f99/0.11.1
Server version: 0.11.1
Server API version: 1.11
Git commit (server): fb99f99/0.11.1
Go version (server): go1.2.1
Last stable version: 0.11.1


The reason we had mad this switch was due to the network bridge setup for libcontainer had not worked correctly at first. This has since been fixed upstream.

$ docker run -it fedora ping -c1 google.com
PING google.com (173.194.121.1) 56(84) bytes of data.
64 bytes from iad23s25-in-f1.1e100.net (173.194.121.1): icmp_seq=1 ttl=45 time=16.2 ms

--- google.com ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 16.294/16.294/16.294/0.000 ms

Comment 1 Vincent Batts 2014-05-30 18:35:31 UTC
Once this update it made, if you would like to continue using the 'lxc' driver, just add "-e lxc" to the other_args variable in /etc/sysconfig/docker

Comment 2 Fedora Update System 2014-05-30 19:07:53 UTC
docker-io-0.11.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-5.el6

Comment 3 Fedora Update System 2014-05-31 18:36:25 UTC
Package docker-io-0.11.1-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing docker-io-0.11.1-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1547/docker-io-0.11.1-5.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-06-15 05:09:00 UTC
docker-io-1.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-1.0.0-3.el6

Comment 5 Fedora Update System 2014-06-18 15:55:09 UTC
docker-io-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.